Opened 4 years ago

Closed 4 years ago

#2759 closed defect (rejected)

Adblock Browser for Android fails with updated support library (22) and/or new API level (22)

Reported by: Mailkov Assignee: rjeschke
Priority: Unknown Milestone:
Module: Adblock-Browser-for-Android Keywords:
Cc: rjeschke, fhd Blocked By:
Blocking: Platform: Adblock Browser for Android
Ready: yes Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

Description

Environment

O.S. Ubuntu 14.04 LTS 64bit
Android SDK Platform Android 5.1.1 (API 22)
SDK Build Tools 22.0.1
SDK Platform Tools 22
Android SDK Tools 24.3
Android Support Repository 15
Android Support Library 22.2
Google Play Services 25
Google Repository 19

How to reproduce

  1. clone Adblock Browser for Android in your pc
  2. create your mozconfig file
  3. insert this lines on mozconfig file
    # Build Firefox for Android:
    ac_add_options --enable-application=mobile/android
    ac_add_options --target=arm-linux-androideabi

    # With the following Android SDK and NDK:
    ac_add_options --with-android-sdk="/home/mailkov/.mozbuild/android-sdk-linux/platforms/android-22"
    ac_add_options --with-android-ndk="/home/mailkov/.mozbuild/android-ndk-r8e"

    ac_add_options --disable-crashreporter
  1. start build Adblock Browser for Android with ./mach build

Observed behaviour

build is not finished successfully

Expected behaviour

build is finished successfully

Change History (6)

comment:1 Changed 4 years ago by Mailkov

The solution is on https://bugzilla.mozilla.org/show_bug.cgi?id=1143280

You have two ways ...

1) Merge the last FENNEC version

2) Push in your repository only the changes for fix it

the files changed are:
/mobile/android/base/widget/datetimepicker.java
/mobile/android/search/java/org/mozilla/search/autocomplete/SearchBar.java

comment:2 Changed 4 years ago by Mailkov

Last edited 4 years ago by Mailkov (previous) (diff)

comment:3 Changed 4 years ago by mapx

  • Cc rjeschke fhd added

comment:4 Changed 4 years ago by rjeschke

The solution here is pretty simple: downgrade your support library to v21.

We will not modify code when it's not really needed, and here it is not. The upstream merge to Fennec 39 is currently ongoing, maybe it's already fixed there, we'll see.

comment:5 Changed 4 years ago by rjeschke

  • Component changed from Unknown to Adblock-Browser-for-Android
  • Owner set to rjeschke
  • Ready set

comment:6 Changed 4 years ago by rjeschke

  • Resolution set to rejected
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.